%global momorel 18
%global emacsver 22.3
%global xemacsver 21.5.28
%global xemacssumover 2007.04.27
%global e_sitedir %{_datadir}/emacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages/lisp
%global confsamp  %{_datadir}/config-sample
%global elispname   tdtd
%global srcver      071

Summary: Major mode for editing SGML and XML DTDs.
Name: elisp-%{elispname}
Version: 0.7.1
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Editors
URL: http://www.menteith.com/wiki/tdtd

Source0: http://www.menteith.com/raw-attachment/wiki/%{elispname}/data/%{elispname}%{srcver}.zip
Requires: emacsen
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo >= %{xemacssumover}
BuildPreReq: unzip

%description
This package contains an emacs major mode for editing SGML and XML DTDs.

%package -n %{elispname}-emacs
Summary: Major mode for editing SGML and XML DTDs on emacs.
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}

%description -n %{elispname}-emacs
This package contains an emacs major mode for editing SGML and XML DTDs.

%package -n %{elispname}-xemacs
Summary: Major mode for editing SGML and XML DTDs on XEmacs.
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: xemacs-sumo >= %{xemacssumover}

%description -n %{elispname}-xemacs
This package contains an XEmacs major mode for editing SGML and XML DTDs.

%prep
%setup -q -c -n %{elispname}-%{version}
%{__mkdir} emacs

%build
### for emacs
for f in *.el;
  do emacs -batch -q -no-site-file -eval "(add-to-list 'load-path \".\")" \
    -f batch-byte-compile $f
done
%{__mv} *.elc  emacs/

### for xemacs
for f in *.el;
  do xemacs -batch -q -no-site-file -eval "(add-to-list 'load-path \".\")" \
    -f batch-byte-compile $f
done

%install
test -d %{buildroot} && %{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{e_sitedir}/%{elispname}
%{__install} -m 0644 *.el %{buildroot}%{e_sitedir}/%{elispname}
%{__install} -m 0644 emacs/*elc %{buildroot}%{e_sitedir}/%{elispname}


%{__mkdir_p} %{buildroot}%{sitepdir}/%{elispname}
%{__install} -m 0644 *.el %{buildroot}%{sitepdir}/%{elispname}
%{__install} -m 0644 *.elc %{buildroot}%{sitepdir}/%{elispname}

%{__mkdir_p} %{buildroot}%{confsamp}/%{name}
%{__install} -m 0644 dot_emacs %{buildroot}%{confsamp}/%{name}/%{elispname}.dot.emacs


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc changelog.txt TODO readme.txt tutorial.txt
%{confsamp}/%{name}/*.dot.emacs

%files -n %{elispname}-emacs
%defattr(-,root,root)
%dir %{e_sitedir}/%{elispname}
%{e_sitedir}/%{elispname}/*.el*

%files -n %{elispname}-xemacs
%defattr(-,root,root)
%dir %{sitepdir}/%{elispname}
%{sitepdir}/%{elispname}/*.el*

%changelog
* Sun Sep 07 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.1-18m)
- rebuild against emacs-22.3

* Thu Jul 24 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.1-17m)
- rebuild against xemacs-21.5.28

* Sat Apr 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.1-16m)
- rebuild against emacs-22.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.1-15m)
- rebuild against gcc43

* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.1-14m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Sun Jun 17 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.1-13m)
- change URL
- no %%NoSource 0

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.1-12m)
- rebuild against emacs-22.1

* Sat Mar 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.1-11m)
- rebuild against emacs-22.0.96

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.1-10m)
- rebuild against emacs-22.0.95

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.1-9m)
- rebuild against emacs-22.0.94

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.1-8m)
- rebuild against emacs-22.0.93

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.1-7m)
- rebuild against emacs-22.0.92

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.1-6m)
- rebuild against emacs-22.0.91

* Sun Oct 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.1-5m)
- rebuild against emacs-22.0.90

* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (0.7.1-4m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.1-3m)
- rebuild against emacs 22.0.50

* Sun Nov 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.7.1-2m)
- rebuild against emacs-21.3.50

* Sun Sep 21 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.7.1-1m)
- first import for momonga.
